For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Discord
DocsAPI Reference
DocsAPI Reference
  • Projects
    • GETList projects
    • POSTCreate a project
    • GETGet a project
    • DELDelete a project
    • PATCHUpdate a project
    • GETList project credentials
    • POSTCreate a project credential
    • GETList project memories
    • POSTCreate a project memory
    • DELDelete a project memory
    • GETList project files
    • GETList project mobile apps
    • POSTUpload a project mobile app
    • DELDelete a project mobile app
    • POSTInitiate a project mobile app upload
    • POSTConfirm a project mobile app upload
  • Tests
    • GETList tests
    • POSTCreate a test
    • GETGet a test
    • DELDelete a test
    • PATCHUpdate a test
    • POSTTrigger a test run
  • Groups
    • GETList test groups
    • POSTCreate a test group
    • GETGet a test group
    • DELDelete a test group
    • PATCHUpdate a test group
    • POSTAdd a test to a group
    • DELRemove a test from a group
    • POSTTrigger a test group run
  • Webhooks
    • POSTTrigger a project webhook
    • POSTTrigger a group webhook
  • Test Runs
    • GETList test runs
    • GETGet test run status
    • POSTCancel a queued or running run
LogoLogo
Discord
Groups

Get a test group

||View as Markdown|
GET
https://tester.army/v1/groups/:groupId
GET
/v1/groups/:groupId
$curl https://tester.army/v1/groups/groupId \
> -H "Authorization: Bearer <token>"
1{
2 "id": "string",
3 "name": "string",
4 "isDefault": true,
5 "runMode": "concurrent",
6 "prepTestId": "string",
7 "projectId": "string",
8 "createdAt": "2024-01-15T09:30:00Z",
9 "updatedAt": "2024-01-15T09:30:00Z"
10}
Get a single test group by ID.
Was this page helpful?
Previous

Create a test group

Next

Delete a test group

Built with

Authentication

AuthorizationBearer
API key authentication using Bearer token format

Path parameters

groupIdstringRequiredformat: "uuid"
Test group ID

Response

Group details
idstringformat: "uuid"
namestring
isDefaultboolean
runModeenum
Allowed values:
prepTestIdstring or nullformat: "uuid"
projectIdstringformat: "uuid"
createdAtdatetime
updatedAtdatetime

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error
500
Internal Server Error
504
Gateway Timeout Error